Trf_SeekQueryOptions(3)

NAME
Trf_SeekQueryOptions - Interface to procedures to query an option container.

SYNOPSIS
#include <transform.h>

void Trf_SeekQueryOptions
(
    Tcl_Interp *interp,
    Trf_Options options,
    Trf_SeekInformation *seekInfo,
    ClientData clientData
);

PARAMETERS

Tcl_Interp *interp
    Interpreter to use for reflecting the query up into tcl, if necessary.

Trf_Options options
    Option container to query.

Trf_SeekInformation *seekInfo
    The policy to modify.

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
The procedure is allowed to change the natural seek policy defined for the transformation according to the current configuration.

RETURNS
Nothing.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)